local addonName = "SkillGuide"

_G[addonName] = LibStub("AceAddon-3.0"):NewAddon(addonName, "AceConsole-3.0", "AceEvent-3.0")
local addon = _G[addonName] -- create a local referance to the object in the global environment
local dataStore = LibStub("AceAddon-3.0"):GetAddon("DataStore")
--local dataStoreCrafts = LibStub("AceAddon-3.0"):GetAddon("DataStore_Crafts")

addon.Version = "v0.0.0001"
addon.VersionNum = 000001

function addon:OnInitialize()
    addon:Print("Initializing...")
    
    local defaults = {
        global = {
            upm = 60
        }
    }
    self.db = LibStub("AceDB-3.0"):New(addonName .. "DB", defaults)
    if not self.db then
        self:Print("SavedVariables not loaded")
    end
    
    local version = GetAddOnMetadata(addonName, "Version")
    version = string.gsub(version, "4", "SVN")
    self.version = version
    
    self:SetupOptions()
    
    self:RegisterChatCommand("sg", "ChatCommand")
end

function addon:OnEnable()
    self:Print(addonName .. " enabled...")
    
    self:InitFrame()
end
    
function addon:ChatCommand(input)
    if not input or input:trim() == "" then
        InterfaceOptionsFrame_OpenToCategory(self.optionsFrame)
    else
        LibStub("AceConfigCmd-3.0").HandleCommand(addon, "sg", addonName .. "Cmds", input)
    end
end